Subject: Re: mod_sll virtual hosts

From: Ron Ridley <[email-masked]>
Date: Sat, 17 Aug 2002 20:40:35 CDT

My mistake.  I have an entry NameVirtualHost but it is in the form of NameVirtualHost ip.address.of.host probably left over from some testing.  It works for me (as is) which is why I left it in the example.

My apologies.

-Ron

On 17 Aug 2002 14:31 CDT you wrote:

> Em Sab 17 Ago 2002 11:21, Cliff Woolley escreveu:
> > On Sat, 17 Aug 2002, Ron Ridley wrote:
> > > Try something like this using IP based virtual hosts: Each one of your
> > > virtual hosts can have different SSL key material it points to.
> > > #------------ This section only goes in the conf file once
> > > --------------------- Port 80
> > > ServerName domain.com
> > > NameVirtualHost x.x.x.x
> > > #--------------------- Domain.com -------------------------
> > > <VirtualHost x.x.x.x:443>
> >
> > Um, if I'm following this discussion correctly, I believe this advice is
> > mistaken.  NameVirtualHost's can *NOT* be used with SSL.  Every name-based
> > vhost would in reality get the certificate of the first one listed in the
> > config file.
> >
> > Please see http://httpd.apache.org/docs-2.0/ssl/ssl_faq.html#ToC47 .
> >
> 
> Hum, but in case all the virtualhosts are related (as in my case) this would 
> not matter much.
> But in case not, this would be a really problem.
> Thanks for your advice.

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]